#pragma once

#include <vectors/vec2.h>

namespace game{
namespace equipment {

class Shield
{
private:
    float capacity;
    float health;
    float restoreTime;
    float cooldown;
    float restoreSpeed;
public:
    Shield(float capacity, float cooldown, float restoreSpeed) noexcept;

    float Hit(float damage) noexcept;

    void Update() noexcept;
    void Render(vec2f position, vec2f size) const noexcept;
};

}
}
